#
# spec file for package perl-Lingua-EN-Tagger
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-Tagger
Version:        0.31
Release:        1.18
#Upstream: GPL-1.0-or-later
%define cpan_name Lingua-EN-Tagger
Summary:        Part-of-speech tagger for English natural language processing
License:        GPL-3.0-only
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AC/ACOBURN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
# MANUAL
#BuildArch:     noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Parser) >= 3.45
BuildRequires:  perl(HTML::Tagset) >= 3.20
BuildRequires:  perl(Lingua::Stem) >= 0.81
BuildRequires:  perl(Memoize::ExpireLRU) >= 0.55
Requires:       perl(HTML::Parser) >= 3.45
Requires:       perl(HTML::Tagset) >= 3.20
Requires:       perl(Lingua::Stem) >= 0.81
Requires:       perl(Memoize::ExpireLRU) >= 0.55
%{perl_requires}

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

The tagger also extracts as many nouns and noun phrases as it can, using a
set of regular expressions.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Jul 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.31
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.31            Aaron Coburn            7/12/19
    Fix memoize function
* Tue Aug 28 2018 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.30            Aaron Coburn            8/27/18
    Re-release without PaxHeader garbage in tar distribution.
* Sat May 19 2018 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.29            Aaron Coburn            5/18/18
    Add an add_tags_incrementally method for a more
    stream-based parsing mechanism. Updated email address.
* Sat Dec 24 2016 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.28            Aaron Coburn            12/23/16
    Changed the generation of the part-of-speech
    lexicon to use nstore instead of store. Based on a
    contribution from Chris Butler <chrisb@debian.org>
    and Reiner Herrmann <reiner@reiner-h.de>.
* Wed Dec 21 2016 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.27            Aaron Coburn            12/20/16
    Fixed unescaped left braces in Makefile.PL
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-Lingua-EN-Tagger/Changes
  0.25            Aaron Coburn            4/3/15
    Fixed floating point number regex.
* Wed Feb 12 2014 lnussel@suse.de
- this package is actually arch dependent:
  https://rt.cpan.org/Public/Bug/Display.html?id=60318
- new version 0.24
  - Fixed errors in threads tests.
  - Escaped some more curly braces in regex patterns (see below). Made
    memoize module support threads.
  - Escaped curly braces in regex patterns. In perl 5.17 this becomes
    necessary.
  - Added requirement for 5.8 for proper unicode support. Modified
    get_sentences routine for $ chars as with preceeding issue.
  - Added better error handling for loading YAML files. Fixed error in
    get_sentences routine related to (, [ and { characters being fused
    to the preceding word.
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.16
  * created by cpanspec 1.78.03
